ALTER TABLE `smartend_webmaster_section_fields` ADD `in_table` TINYINT(4) NOT NULL DEFAULT '0' AFTER `required`, ADD `in_search` TINYINT(4) NOT NULL DEFAULT '0' AFTER `in_table`, ADD `in_listing` TINYINT(4) NOT NULL DEFAULT '0' AFTER `in_search`, ADD `in_page` TINYINT(4) NOT NULL DEFAULT '0' AFTER `in_listing`;

ALTER TABLE `smartend_webmaster_section_fields` ADD `css_class` VARCHAR(191) NULL AFTER `lang_code`;
ALTER TABLE `smartend_webmaster_section_fields` ADD `in_statics` TINYINT NOT NULL DEFAULT '0' AFTER `in_page`;

ALTER TABLE `smartend_webmaster_settings` ADD `mail_title` VARCHAR(255) NULL AFTER `mail_no_replay`, ADD `mail_template` LONGTEXT NULL AFTER `mail_title`;

ALTER TABLE `smartend_webmaster_sections` ADD `title_status` TINYINT NOT NULL DEFAULT '1' AFTER `type`, ADD `photo_status` TINYINT NOT NULL DEFAULT '1' AFTER `title_status`, ADD `case_status` TINYINT NOT NULL DEFAULT '1' AFTER `photo_status`, ADD `visits_status` TINYINT NOT NULL DEFAULT '1' AFTER `case_status`;
ALTER TABLE `smartend_settings` ADD `css` LONGTEXT NULL AFTER `style_preload`;
ALTER TABLE `smartend_webmaster_settings` ADD `version` VARCHAR(20) NULL DEFAULT '8.0.0' AFTER `timezone`;


CREATE TABLE `smartend_sessions` (
  `id` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` bigint UNSIGNED DEFAULT NULL,
  `ip_address` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_agent` text COLLATE utf8mb4_unicode_ci,
  `payload` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `last_activity` int NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

ALTER TABLE `smartend_sessions`
  ADD PRIMARY KEY (`id`),
  ADD KEY `smartend_sessions_user_id_index` (`user_id`),
  ADD KEY `smartend_sessions_last_activity_index` (`last_activity`);
COMMIT;

ALTER TABLE `smartend_permissions` ADD `home_status` TINYINT(4) NOT NULL DEFAULT '0' AFTER `data_sections`, ADD `home_links` TEXT NULL AFTER `home_status`, ADD `home_details_ar` LONGTEXT NULL AFTER `home_links`, ADD `home_details_en` LONGTEXT NULL AFTER `home_details_ar`;

ALTER TABLE `smartend_settings` ADD `notify_table_status` TINYINT NULL AFTER `notify_orders_status`, ADD `notify_private_status` TINYINT NULL AFTER `notify_table_status`;

ALTER TABLE `smartend_webmaster_section_fields` ADD `view_permission_groups` VARCHAR(191) NULL AFTER `css_class`, ADD `add_permission_groups` VARCHAR(191) NULL AFTER `view_permission_groups`, ADD `edit_permission_groups` VARCHAR(191) NULL AFTER `add_permission_groups`;

ALTER TABLE `smartend_permissions` ADD `active_status` TINYINT NOT NULL DEFAULT '0' AFTER `delete_status`;


ALTER TABLE `smartend_webmaster_section_fields` ADD `css` TEXT NULL AFTER `details_en`;

CREATE TABLE `smartend_failed_jobs` (
                                        `id` bigint UNSIGNED NOT NULL,
                                        `uuid` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
                                        `connection` text COLLATE utf8mb4_unicode_ci NOT NULL,
                                        `queue` text COLLATE utf8mb4_unicode_ci NOT NULL,
                                        `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
                                        `exception` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
                                        `failed_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

ALTER TABLE `smartend_failed_jobs`
    ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `smartend_failed_jobs_uuid_unique` (`uuid`);

ALTER TABLE `smartend_failed_jobs`
    MODIFY `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT;
COMMIT;


UPDATE `smartend_webmaster_settings` SET `version`="8.3.0";
